#include "BW.h"

// This takes the first sequence because it is alphabetized already
void Alphabet::Init() {
	memset(alphabet, 0, sizeof(alphabet));
	alphabetSize = 0;

	for (int i = 0; i < 256; i++) {
		alphabet[alphabetSize++] = (BYTE)i;
	}
}

int Alphabet::GetOffset(BYTE b) {
	for (int i = 0; i < alphabetSize; i++) {
		if (alphabet[i] == b)
			return i;
	}
	return -1;
}

void Alphabet::MoveToFront(int offset) {
	BYTE b = alphabet[offset];
	for (int i = offset; i > 0; i--)
		alphabet[i] = alphabet[i-1];
	alphabet[0] = b;
}

BYTE Alphabet::GetCharacter(int offset) {
	return alphabet[offset];
}
